<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'luzuk_about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_about_area_disable',
            array(
                'settings'      => 'luzuk_about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'about', 'about_area', $color='#fff', get_template_directory_uri().'/images/aboutbg.jpg', 'color');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);




  // $wp_customize->add_setting(
  //       'about_image_heading',
  //       array(
  //           'sanitize_callback' => 'luzuk_sanitize_text'
  //       )
  //   );
  //   $wp_customize->add_control(
  //       new luzuk_Customize_Heading(
  //           $wp_customize,
  //           'about_image_heading',
  //           array(
  //               'settings'      => 'about_image_heading',
  //               'section'       => 'about_area',
  //               'label'         => __( 'Left Side Big Image', 'luzuk-premium' ),
  //           )
  //       )
  //   );
lzCustomLable($wp_customize, 'about_image_heading', 'about_area' , 'Left Side Big Image');

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 420X530px', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'Sec_vimgfild', 'about_area' , 'Video Box ');

$wp_customize->add_setting( 'abtvideo_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'abtvideo_display', array( 'label' => ' Display Setting', 'section' => 'about_area', 'settings' => 'abtvideo_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


lzCustomLable($wp_customize, 'Sec_vimg', 'about_area' , 'Video Image');

$wp_customize->add_setting(
    'vbabt_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'vbabt_image',
        array(
            'section' => 'about_area',
            'settings' => 'vbabt_image',
            'description' => __('Recommended Image Size: 238X248px', 'luzuk-premium')
        )
    )
);
// ADDRESS GOOGLE/MSN/OTHER video IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_abt_vb_embade_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
  new luzuk_Customize_Heading($wp_customize, 'luzuk_abt_vb_embade_iframe_lbl',
    array(
      'settings'      => 'luzuk_abt_vb_embade_iframe_lbl',
      'section'       => 'about_area',
      'label'         => __( 'Video Embeded Code', 'luzuk premium' ),
    )
  )
);

// end to show & hide button
// field for addeding the video code
$wp_customize->add_setting('luzuk_abt_vb_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your video embade code'));

$wp_customize->add_control('luzuk_abt_vb_embade', array('settings'=>'luzuk_abt_vb_embade', 'section'=>'about_area','type'=>'textarea', 'label'=> __('Iframe Code For Video', 'luzuk premium')));


$wp_customize->add_setting(
    'abt_vtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum Are Many', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abt_vtitle',
    array(
        'settings'      => 'abt_vtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Video Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_vtitleclr', 'about_area', 'Video Title Color', '#fff');

addColorPalatOption($wp_customize, 'abt_vimgbrdclr', 'about_area', 'Video Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'abt_vimgbtnicn', 'about_area', 'Video Image Button Icon Color', '#000');

addColorPalatOption($wp_customize, 'abt_vimgbtnicnbg', 'about_area', 'Video Image Button Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'abt_vimgbtnicnhvbg', 'about_area', 'Video Image Button Hover Icon BG Color', '#EC003F');


lzCustomLable($wp_customize, 'Sec_btmimg1', 'about_area' , 'Bottom Image 1');

$wp_customize->add_setting(
    'about_flowimg',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_flowimg',
        array(
            'section' => 'about_area',
            'settings' => 'about_flowimg',
            'description' => __('Recommended Image Size: 262X265px', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'Sec_btmimg2', 'about_area' , 'Bottom Image 2');

$wp_customize->add_setting(
    'about_digimg',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_digimg',
        array(
            'section' => 'about_area',
            'settings' => 'about_digimg',
            'description' => __('Recommended Image Size: 300X190px', 'luzuk-premium')
        )
    )
);

// right


$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Sub Heading, Section Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'aboutsubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Know About US', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsubtitle',
    array(
        'settings'      => 'aboutsubtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_subtitle_clr', 'about_area', 'Sub Heading Color ', '#000');


$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum Are Many Variations Available Bat Believable.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_color', 'about_area', 'Heading Color ', '#000');


$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( "There are many variations of passages of Lorem Ipsum available but the majority have suffered alteration in some form, words which don't look believable.", 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#414141');


$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 1));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number of About plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Page ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-gift',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Unsurpassed atmosphere');  

lzAddElement($wp_customize, 'aboutus_page_text'.$i, 'about_area', $type = 'textarea', $label="Title", $callback ='luzuk_sanitize_text', $default='Lorem Ipsum are many variations available bat believable.'); 

    lzAddElement($wp_customize, 'aboutus_page_url_'.$i, 'about_area', $type = 'text', $label="Link", $callback ='esc_url', $default='Add link here');

}

lzCustomLable($wp_customize, 'about_colors', 'about_area', 'Section Color');

addColorPalatOption($wp_customize, 'about_area_pageicon', 'about_area', 'Section Icon Color', '#EC003F');

addColorPalatOption($wp_customize, 'about_area_pageiconhv', 'about_area', 'Section Icon Hover Color', '#000');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'Section Title Color', '#000');

addColorPalatOption($wp_customize, 'about_area_pagetitlehv', 'about_area', 'Section Title Hover Color', '#EC003F');

addColorPalatOption($wp_customize, 'about_area_pagetxt', 'about_area', 'Section Box Text Color', '#7d7d7d');

addColorPalatOption($wp_customize, 'abt_bxbrdclr', 'about_area', 'Section Box Border Color', '#000');


lzCustomLable($wp_customize, 'abt_signbx', 'about_area' , 'Sign Image');

$wp_customize->add_setting(
    'abt_signimg',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'abt_signimg',
        array(
            'section' => 'about_area',
            'settings' => 'abt_signimg',
            'description' => __('Recommended Image Size: 150X85px', 'luzuk-premium')
        )
    )
);


$wp_customize->add_setting(
    'abt_name',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'David Anderson.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abt_name',
    array(
        'settings'      => 'abt_name',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Name', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_bxnameclr', 'about_area', 'Name Color', '#000');



$wp_customize->add_setting(
    'abt_ntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum is simply', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abt_ntxt',
    array(
        'settings'      => 'abt_ntxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_bxtxtclr', 'about_area', 'Text Color', '#7e7e7e');